﻿using Infragistics.Win;
using Infragistics.Win.UltraWinEditors;
using Infragistics.Win.UltraWinSchedule;
using Infragistics.Win.UltraWinSchedule.TimelineView;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TimelineIconTrasparency
{
    class TimeLine_cf : IUIElementCreationFilter
    {
        bool saved = false;

        public void AfterCreateChildElements(UIElement parent)
        {
            if (parent is OwnerHeaderUIElement)
            {
                Owner owner = ((OwnerHeaderUIElement)parent).Owner;


                int maxX = parent.RectInsideBorders.X + parent.RectInsideBorders.Width;
                Rectangle rect = parent.RectInsideBorders;
                rect.Y += 20;

                
                Bitmap imageBitmap = global::TimelineIconTrasparency.Properties.Resources.sport_basketball as Bitmap;

                // 1st image
                var icon1 = new UltraPictureBox();
                icon1.Image = imageBitmap;
                icon1.Size = imageBitmap.Size;
                icon1.BackColor = Color.Transparent;
                icon1.Location = new System.Drawing.Point(0, 0);
                UltraPictureBoxControlUIElement iconUI1 = new UltraPictureBoxControlUIElement(icon1);

                iconUI1.Rect = new Rectangle(rect.X + 2, rect.Y, imageBitmap.Size.Width, imageBitmap.Size.Height);


                rect.X = rect.X + icon1.Size.Width + 2;

                // 2nd image
                var icon2 = new UltraPictureBox();
                icon2.Image = Color.Transparent;
                icon2.Appearance.ImageBackground = imageBitmap;
                icon2.BackColor = Color.Transparent;
                icon2.Size = imageBitmap.Size;
                icon2.Location = new System.Drawing.Point(0, 0);

                UltraPictureBoxControlUIElement iconUI2 = new UltraPictureBoxControlUIElement(icon2);
                iconUI2.Rect = new Rectangle(rect.X + 2, rect.Y, imageBitmap.Size.Width, imageBitmap.Size.Height);

                rect.X = rect.X + icon1.Size.Width + 2;

                // 3rd image
                var icon3 = new UltraPictureBox();
                icon3.Image = Color.Transparent;
                icon3.BackColor = Color.Transparent;
                icon3.Appearance.ImageBackground = imageBitmap;
                icon3.Size = imageBitmap.Size;
                icon3.Location = new System.Drawing.Point(0, 0);

                UltraPictureBoxControlUIElement iconUI3 = new UltraPictureBoxControlUIElement(icon3);
                iconUI3.Rect = new Rectangle(rect.X + 2, rect.Y, imageBitmap.Size.Width, imageBitmap.Size.Height);

                parent.ChildElements.Add(iconUI1);
                parent.ChildElements.Add(iconUI2);
                parent.ChildElements.Add(iconUI3);
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }
}
